import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AuthSignInRoutingModule } from './auth-sign-in-routing.module';
import { AuthSignInComponent } from './auth-sign-in.component';
import { SignInComponent } from './sign-in/sign-in.component';
import { ForgetPasswordComponent } from './forget-password/forget-password.component';
import { VerifyOtpComponent } from './verify-otp/verify-otp.component';
import { ChangePasswordComponent } from './change-password/change-password.component';
import { SharedModule } from '@shared/shared.module';

@NgModule({
  declarations: [
    AuthSignInComponent,
    SignInComponent,
    ForgetPasswordComponent,
    VerifyOtpComponent,
    ChangePasswordComponent,
  ],
  imports: [CommonModule, AuthSignInRoutingModule, SharedModule],
})
export class AuthSignInModule {}
