import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { LandingPageRoutingModule } from './landing-page-routing.module';
import { LandingPageComponent } from './landing-page.component';
import { LandingHeaderComponent } from './landing-header/landing-header.component';
import { FooterComponent } from './footer/footer.component';
import { GetStartComponent } from './get-start/get-start.component';
import { PaltformComponent } from './paltform/paltform.component';
import { VisionComponent } from './vision/vision.component';
import { ToolsComponent } from './tools/tools.component';
import { PromotingComponent } from './promoting/promoting.component';
import { BenefitsComponent } from './benefits/benefits.component';
import { WhyMtComponent } from './why-mt/why-mt.component';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [
    LandingPageComponent,
    LandingHeaderComponent,
    FooterComponent,
    GetStartComponent,
    PaltformComponent,
    VisionComponent,
    ToolsComponent,
    PromotingComponent,
    BenefitsComponent,
    WhyMtComponent,
  ],
  imports: [CommonModule, LandingPageRoutingModule, SharedModule],
})
export class LandingPageModule {}
