import { Component } from '@angular/core';

export interface PeriodicElement {
  user: any;
  department: string;
  date: string;
  checkin: string;
  checkout: string;
  status: string;
}

const ELEMENT_DATA: PeriodicElement[] = [
  {
    user: {
      name: 'Mai Ghoneim',
      img: 'assets/images/avatar.png',
      email: 'ebrahimnour186@gmail.com',
      position: 'Senior UI/UX Designer',
    },
    department: 'Development',
    date: '1/10/2023',
    checkin: 'Day Off',
    checkout: 'Day Off',
    status: 'Online',
  },
  {
    user: {
      name: 'Mai Ghoneim',
      img: 'assets/images/avatar.png',
      email: 'ebrahimnour186@gmail.com',
      position: 'Senior UI/UX Designer',
    },
    department: 'Marketing',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    status: 'Offline',
  },
  {
    user: {
      name: 'Mai Ghoneim',
      img: 'assets/images/avatar.png',
      email: 'ebrahimnour186@gmail.com',
      position: 'Senior UI/UX Designer',
    },
    department: 'Design',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    status: 'Offline',
  },
  {
    user: {
      name: 'Mai Ghoneim',
      img: 'assets/images/avatar.png',
      email: 'ebrahimnour186@gmail.com',
      position: 'Senior UI/UX Designer',
    },
    department: 'Development',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    status: 'Online',
  },
];

@Component({
  selector: 'app-attendance-company',
  templateUrl: './attendance-company.component.html',
  styleUrls: ['./attendance-company.component.scss'],
})
export class AttendanceCompanyComponent {
  displayedColumns: string[] = [
    'user',
    'department',
    'date',
    'checkin',
    'checkout',
    'status',
    'actions',
  ];
  dataSource = ELEMENT_DATA;
}
