import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AttendanceListComponent } from './attendance-list/attendance-list.component';
import { AttendanceComponent } from './attendance.component';
import { AttendanceCompanyComponent } from './attendance-company/attendance-company.component';

const routes: Routes = [
  {
    path: '',
    component: AttendanceComponent,
    children: [
      { path: 'attendance-details', component: AttendanceListComponent },
      { path: '', component: AttendanceCompanyComponent },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AttendanceRoutingModule {}
