import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AttendanceRoutingModule } from './attendance-routing.module';
import { AttendanceComponent } from './attendance.component';
import { AttendanceListComponent } from './attendance-list/attendance-list.component';
import { SharedModule } from '@shared/shared.module';
import { AttendanceCompanyComponent } from './attendance-company/attendance-company.component';

@NgModule({
  declarations: [AttendanceComponent, AttendanceListComponent, AttendanceCompanyComponent],
  imports: [CommonModule, AttendanceRoutingModule, SharedModule],
})
export class AttendanceModule {}
