import { Component } from '@angular/core';
import { NAV_ITEMS } from '@core/models/nav-items.model';

@Component({
  selector: 'app-side-nav',
  templateUrl: './side-nav.component.html',
  styleUrls: ['./side-nav.component.scss'],
})
export class SideNavComponent {
  navItems: NAV_ITEMS[] = [
    {
      index: 1,
      name: 'Dashboard',
      img: '../../../../assets/images/dashboard.svg',
      link: '/modules/dashboard',
    },
    // {
    //   index: 2,
    //   name: 'Employees',
    //   img: '../../../../assets/images/teams.svg',
    //   link: '/modules/employee',
    // },
    {
      index: 3,
      name: 'Teams',
      img: '../../../../assets/images/teams.svg',
      link: '/modules/teams',
    },
    {
      index: 4,
      name: 'Meetings',
      img: '',
      link: '/modules/meetings',
    },
    // {
    //   index: 4,
    //   name: 'Contracts',
    //   img: '../../../../assets/images/dashboard.svg',
    //   link: '/contracts',
    // },
    // {
    //   index: 5,
    //   name: 'Analytics',
    //   img: '../../../../assets/images/analytics.svg',
    //   link: '/analytics',
    // },
    {
      index: 6,
      name: 'Task Management',
      img: '../../../../assets/images/task-manager.svg',
      link: '/modules/task-management',
    },
    // {
    //   index: 7,
    //   name: 'Tracker',
    //   img: '../../../../assets/images/tracker.svg',
    //   link: '/tracker',
    // },
    // {
    //   index: 8,
    //   name: 'Search for employees',
    //   img: '../../../../assets/images/search-for-staff-svgrepo-com.svg',
    //   link: 'search',
    // },
    {
      index: 9,
      name: 'Human recourse',
      img: '../../../../assets/images/human-resource.svg',
      link: 'human-resource',
    },
    {
      index: 10,
      name: 'Attendance',
      img: '../../../../assets/images/attendance.svg',
      link: 'attendance',
    },
    {
      index: 11,
      name: 'Orders',
      img: '../../../../assets/images/order.svg',
      link: '/modules/orders',
    },
    // {
    //   index: 11,
    //   name: 'Setting',
    //   img: '../../../../assets/images/setting.svg',
    // },
    {
      index: 11,
      name: 'Logout',
      img: '../../../../assets/images/logout.svg',
      link: '/auth',
    },
  ];
}
