import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DashboardRoutingModule } from './dashboard-routing.module';
import { DashboardComponent } from './dashboard.component';
import { SharedModule } from '@shared/shared.module';
import { PayslipComponent } from './payslip/payslip.component';
import { MessageComponent } from './message/message.component';
import { TodayMeetingsComponent } from './today-meetings/today-meetings.component';
import { TodayTasksComponent } from './today-tasks/today-tasks.component';
import { ToDoComponent } from './to-do/to-do.component';
import { CalenderComponent } from './calender/calender.component';

@NgModule({
  declarations: [
    DashboardComponent,
    PayslipComponent,
    MessageComponent,
    TodayMeetingsComponent,
    TodayTasksComponent,
    ToDoComponent,
    CalenderComponent,
  ],
  imports: [CommonModule, DashboardRoutingModule, SharedModule],
})
export class DashboardModule {}
