import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MedicalInsuranceComponent } from './medical-insurance.component';
import { MedicalListComponent } from './medical-list/medical-list.component';

const routes: Routes = [
  {
    path: '',
    component: MedicalInsuranceComponent,
    children: [{ path: '', component: MedicalListComponent }],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MedicalInsuranceRoutingModule {}
