import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { MeetingsComponent } from './meetings.component';
import { ListComponent } from './list/list.component';
import { MeetingDetailsComponent } from './meeting-details/meeting-details.component';

const routes: Routes = [
  {
    path: '',
    component: MeetingsComponent,
    children: [
      { path: '', component: ListComponent },
      { path: 'details', component: MeetingDetailsComponent },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MeetingsRoutingModule {}
