import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ProfileRoutingModule } from './profile-routing.module';
import { ProfileComponent } from './profile.component';
import { ProfileMenuComponent } from './components/profile-menu/profile-menu.component';
import { ProfileUserComponent } from './components/profile-user/profile-user.component';
import { SharedModule } from '@shared/shared.module';
import { BasicInformationComponent } from './basic-information/basic-information.component';
import { EducationQualificationComponent } from './education-qualification/education-qualification.component';
import { AddressComponent } from './address/address.component';
import { AttachementsComponent } from './attachements/attachements.component';
import { TermsConditionsComponent } from './terms-conditions/terms-conditions.component';
import { SecurityComponent } from './security/security.component';

@NgModule({
  declarations: [
    ProfileComponent,
    ProfileMenuComponent,
    ProfileUserComponent,
    BasicInformationComponent,
    EducationQualificationComponent,
    AddressComponent,
    AttachementsComponent,
    TermsConditionsComponent,
    SecurityComponent,
  ],
  imports: [CommonModule, ProfileRoutingModule, SharedModule],
})
export class ProfileModule {}
