import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TaskManagementMainComponent } from './task-management-main/task-management-main.component';
import { TaskManagementComponent } from './task-management.component';
import { TaskDetailsComponent } from './task-details/task-details.component';

const routes: Routes = [
  {
    path: '',
    component: TaskManagementComponent,
    children: [
      { path: '', component: TaskManagementMainComponent },
      { path: 'details', component: TaskDetailsComponent },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TaskManagementRoutingModule {}
