import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TaskManagementRoutingModule } from './task-management-routing.module';
import { TaskManagementComponent } from './task-management.component';
import { TaskManagementMainComponent } from './task-management-main/task-management-main.component';
import { SharedModule } from '@shared/shared.module';
import { TeamsMemberComponent } from './components/teams-member/teams-member.component';
import { ProjecctsComponent } from './components/projeccts/projeccts.component';
import { TaskComponent } from './components/task/task.component';
import { ProgessComponent } from './components/progess/progess.component';
import { TaskDetailsComponent } from './task-details/task-details.component';
import { CommentsComponent } from './components/comments/comments.component';
import { DescriptionComponent } from './components/description/description.component';
import { AttachementsComponent } from './components/attachements/attachements.component';

@NgModule({
  declarations: [
    TaskManagementComponent,
    TaskManagementMainComponent,
    TeamsMemberComponent,
    ProjecctsComponent,
    TaskComponent,
    ProgessComponent,
    TaskDetailsComponent,
    CommentsComponent,
    DescriptionComponent,
    AttachementsComponent,
  ],
  imports: [CommonModule, TaskManagementRoutingModule, SharedModule],
})
export class TaskManagementModule {}
