import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TeamsComponent } from './teams.component';
import { ListComponent } from './list/list.component';
import { TeamInfoComponent } from './team-info/team-info.component';

const routes: Routes = [
  {
    path: '',
    component: TeamsComponent,
    children: [
      { path: '', component: ListComponent },
      { path: 'info', component: TeamInfoComponent },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TeamsRoutingModule {}
