import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AuthSignUpRoutingModule } from './auth-sign-up-routing.module';
import { AuthSignUpComponent } from './auth-sign-up.component';
import { SignupTypeComponent } from './signup-type/signup-type.component';
import { SignupBusinessComponent } from './signup-business/signup-business.component';
import { SignupContractorComponent } from './signup-contractor/signup-contractor.component';
import { SignupEmployeeComponent } from './signup-employee/signup-employee.component';
import { SharedModule } from '@shared/shared.module';
import { TypeHeaderComponent } from './type-header/type-header.component';

@NgModule({
  declarations: [
    AuthSignUpComponent,
    SignupTypeComponent,
    SignupBusinessComponent,
    SignupContractorComponent,
    SignupEmployeeComponent,
    TypeHeaderComponent,
  ],
  imports: [CommonModule, AuthSignUpRoutingModule, SharedModule],
})
export class AuthSignUpModule {}
