import { Component } from '@angular/core';

export interface PeriodicElement {
  day: string;
  date: string;
  checkin: string;
  checkout: string;
  login_time: string;
}

const ELEMENT_DATA: PeriodicElement[] = [
  {
    day: 'Saturday',
    date: '1/10/2023',
    checkin: 'Day Off',
    checkout: 'Day Off',
    login_time: 'Day Off',
  },
  {
    day: 'Monday',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    login_time: '9:30 hrs',
  },
  {
    day: 'Monday',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    login_time: '9:30 hrs',
  },
  {
    day: 'Monday',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    login_time: '9:30 hrs',
  },
  {
    day: 'Saturday',
    date: '1/10/2023',
    checkin: 'Day Off',
    checkout: 'Day Off',
    login_time: 'Day Off',
  },
  {
    day: 'Monday',
    date: '2/10/2023',
    checkin: '9:35 AM',
    checkout: '7:30 PM',
    login_time: '9:30 hrs',
  },
  {
    day: 'Saturday',
    date: '1/10/2023',
    checkin: 'Day Off',
    checkout: 'Day Off',
    login_time: 'Day Off',
  },
];

@Component({
  selector: 'app-attendance-list',
  templateUrl: './attendance-list.component.html',
  styleUrls: ['./attendance-list.component.scss'],
})
export class AttendanceListComponent {
  displayedColumns: string[] = [
    'day',
    'date',
    'checkin',
    'checkout',
    'login_time',
  ];
  dataSource = ELEMENT_DATA;
}
