import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HumanResourceComponent } from './human-resource.component';
import { HumanListComponent } from './human-list/human-list.component';
import { HumanResourceDetailsComponent } from './human-resource-details/human-resource-details.component';

const routes: Routes = [
  {
    path: '',
    component: HumanResourceComponent,
    children: [
      {
        path: '',
        component: HumanListComponent,
      },
      {
        path: 'details',
        component: HumanResourceDetailsComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class HumanResourceRoutingModule {}
