import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { HumanResourceRoutingModule } from './human-resource-routing.module';
import { HumanResourceComponent } from './human-resource.component';
import { HumanListComponent } from './human-list/human-list.component';
import { SharedModule } from '@shared/shared.module';
import { HumanResourceDetailsComponent } from './human-resource-details/human-resource-details.component';
import { ContractComponent } from './components/contract/contract.component';
import { SalaryComponent } from './components/salary/salary.component';
import { TeamsComponent } from './components/teams/teams.component';
import { VacationDaysComponent } from './components/vacation-days/vacation-days.component';
import { MedicalInsuranceComponent } from './components/medical-insurance/medical-insurance.component';
import { InvoiceDateComponent } from './components/invoice-date/invoice-date.component';

@NgModule({
  declarations: [HumanResourceComponent, HumanListComponent, HumanResourceDetailsComponent, ContractComponent, SalaryComponent, TeamsComponent, VacationDaysComponent, MedicalInsuranceComponent, InvoiceDateComponent],
  imports: [CommonModule, HumanResourceRoutingModule, SharedModule],
})
export class HumanResourceModule {}
