import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MedicalInsuranceRoutingModule } from './medical-insurance-routing.module';
import { MedicalInsuranceComponent } from './medical-insurance.component';
import { MedicalListComponent } from './medical-list/medical-list.component';
import { SharedModule } from '@shared/shared.module';
import { MedicalItemComponent } from './components/medical-item/medical-item.component';
import { MedicalFormComponent } from './components/medical-form/medical-form.component';

@NgModule({
  declarations: [
    MedicalInsuranceComponent,
    MedicalListComponent,
    MedicalItemComponent,
    MedicalFormComponent,
  ],
  imports: [CommonModule, MedicalInsuranceRoutingModule, SharedModule],
})
export class MedicalInsuranceModule {}
