import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MeetingsRoutingModule } from './meetings-routing.module';
import { MeetingsComponent } from './meetings.component';
import { ListComponent } from './list/list.component';
import { MeetingItemComponent } from './components/meeting-item/meeting-item.component';
import { SharedModule } from '@shared/shared.module';
import { CeateMeetingComponent } from './components/ceate-meeting/ceate-meeting.component';
import { MeetingDetailsComponent } from './meeting-details/meeting-details.component';

@NgModule({
  declarations: [
    MeetingsComponent,
    ListComponent,
    MeetingItemComponent,
    CeateMeetingComponent,
    MeetingDetailsComponent,
  ],
  imports: [CommonModule, MeetingsRoutingModule, SharedModule],
})
export class MeetingsModule {}
